<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup Label="ProjectConfigurations">
    <ProjectConfiguration Include="DebugUnicode|Win32">
      <Configuration>DebugUnicode</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Debug|Win32">
      <Configuration>Debug</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="ReleaseUnicode|Win32">
      <Configuration>ReleaseUnicode</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|Win32">
      <Configuration>Release</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
  </ItemGroup>
  <PropertyGroup Label="Globals">
    <ProjectGuid>{8DB3D140-959C-4716-B55B-FE90A5DEA7A2}</ProjectGuid>
    <RootNamespace>AsyncCd</RootNamespace>
    <Keyword>Win32Proj</Keyword>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='DebugUnicode|Win32'" Label="Configuration">
    <ConfigurationType>DynamicLibrary</ConfigurationType>
    <CharacterSet>Unicode</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='ReleaseUnicode|Win32'" Label="Configuration">
    <ConfigurationType>DynamicLibrary</ConfigurationType>
    <CharacterSet>Unicode</CharacterSet>
    <WholeProgramOptimization>false</WholeProgramOptimization>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="Configuration">
    <ConfigurationType>DynamicLibrary</ConfigurationType>
    <CharacterSet>Unicode</CharacterSet>
    <WholeProgramOptimization>true</WholeProgramOptimization>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="Configuration">
    <ConfigurationType>DynamicLibrary</ConfigurationType>
    <CharacterSet>Unicode</CharacterSet>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
  <ImportGroup Label="ExtensionSettings">
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='DebugUnicode|Win32'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='ReleaseUnicode|Win32'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <PropertyGroup Label="UserMacros" />
  <PropertyGroup>
    <_ProjectFileVersion>10.0.40219.1</_ProjectFileVersion>
    <OutDir Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">$(SolutionDir)$(Configuration)\</OutDir>
    <IntDir Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">$(Configuration)\</IntDir>
    <LinkIncremental Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">true</LinkIncremental>
    <OutDir Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">$(SolutionDir)$(Configuration)\</OutDir>
    <IntDir Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">$(Configuration)\</IntDir>
    <LinkIncremental Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">false</LinkIncremental>
    <OutDir Condition="'$(Configuration)|$(Platform)'=='ReleaseUnicode|Win32'">ReleaseUnicode\</OutDir>
    <IntDir Condition="'$(Configuration)|$(Platform)'=='ReleaseUnicode|Win32'">ReleaseUnicode\</IntDir>
    <LinkIncremental Condition="'$(Configuration)|$(Platform)'=='ReleaseUnicode|Win32'">false</LinkIncremental>
    <OutDir Condition="'$(Configuration)|$(Platform)'=='DebugUnicode|Win32'">DebugUnicode\</OutDir>
    <IntDir Condition="'$(Configuration)|$(Platform)'=='DebugUnicode|Win32'">DebugUnicode\</IntDir>
    <LinkIncremental Condition="'$(Configuration)|$(Platform)'=='DebugUnicode|Win32'">true</LinkIncremental>
    <SourcePath Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">D:\Programming(D)\Workspaces\VS_2010 Workspaces\DirectShow_SDK_VS2010\BaseClasses;D:\Programming(D)\Workspaces\VS_2010 Workspaces\DirectShow_SDK_VS2010\AsyncCd\Include;D:\Programming(D)\Workspaces\VS_2010 Workspaces\DirectShow_SDK_VS2010\AsyncCd\Filter;$(SourcePath)</SourcePath>
    <IncludePath Condition="'$(Configuration)|$(Platform)'=='DebugUnicode|Win32'">D:\Programming(D)\Workspaces\VS_2010 Workspaces\DirectShow_SDK_VS2010\BaseClasses;D:\Programming(D)\Workspaces\VS_2010 Workspaces\DirectShow_SDK_VS2010\AsyncCd\Include;D:\Programming(D)\Workspaces\VS_2010 Workspaces\DirectShow_SDK_VS2010\AsyncCd\Filter;$(IncludePath)</IncludePath>
    <SourcePath Condition="'$(Configuration)|$(Platform)'=='DebugUnicode|Win32'">D:\Programming(D)\Workspaces\VS_2010 Workspaces\DirectShow_SDK_VS2010\BaseClasses;D:\Programming(D)\Workspaces\VS_2010 Workspaces\DirectShow_SDK_VS2010\AsyncCd\Include;D:\Programming(D)\Workspaces\VS_2010 Workspaces\DirectShow_SDK_VS2010\AsyncCd\Filter;$(SourcePath)</SourcePath>
    <IncludePath Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">D:\Programming(D)\Workspaces\VS_2010 Workspaces\DirectShow_SDK_VS2010\BaseClasses;D:\Programming(D)\Workspaces\VS_2010 Workspaces\DirectShow_SDK_VS2010\AsyncCd\Include;D:\Programming(D)\Workspaces\VS_2010 Workspaces\DirectShow_SDK_VS2010\AsyncCd\Filter;$(IncludePath)</IncludePath>
    <IncludePath Condition="'$(Configuration)|$(Platform)'=='ReleaseUnicode|Win32'">D:\Programming(D)\Workspaces\VS_2010 Workspaces\DirectShow_SDK_VS2010\BaseClasses;D:\Programming(D)\Workspaces\VS_2010 Workspaces\DirectShow_SDK_VS2010\AsyncCd\Include;D:\Programming(D)\Workspaces\VS_2010 Workspaces\DirectShow_SDK_VS2010\AsyncCd\Filter;$(IncludePath)</IncludePath>
    <SourcePath Condition="'$(Configuration)|$(Platform)'=='ReleaseUnicode|Win32'">D:\Programming(D)\Workspaces\VS_2010 Workspaces\DirectShow_SDK_VS2010\BaseClasses;D:\Programming(D)\Workspaces\VS_2010 Workspaces\DirectShow_SDK_VS2010\AsyncCd\Include;D:\Programming(D)\Workspaces\VS_2010 Workspaces\DirectShow_SDK_VS2010\AsyncCd\Filter;$(SourcePath)</SourcePath>
    <IncludePath Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">D:\Programming(D)\Workspaces\VS_2010 Workspaces\DirectShow_SDK_VS2010\BaseClasses;D:\Programming(D)\Workspaces\VS_2010 Workspaces\DirectShow_SDK_VS2010\AsyncCd\Include;D:\Programming(D)\Workspaces\VS_2010 Workspaces\DirectShow_SDK_VS2010\AsyncCd\Filter;$(IncludePath)</IncludePath>
    <SourcePath Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">D:\Programming(D)\Workspaces\VS_2010 Workspaces\DirectShow_SDK_VS2010\BaseClasses;D:\Programming(D)\Workspaces\VS_2010 Workspaces\DirectShow_SDK_VS2010\AsyncCd\Include;D:\Programming(D)\Workspaces\VS_2010 Workspaces\DirectShow_SDK_VS2010\AsyncCd\Filter;$(SourcePath)</SourcePath>
    <LibraryPath Condition="'$(Configuration)|$(Platform)'=='DebugUnicode|Win32'">D:\Programming(D)\Workspaces\VS_2010 Workspaces\DirectShow_SDK_VS2010\BaseClasses\Debug_Unicode;$(LibraryPath)</LibraryPath>
    <LibraryPath Condition="'$(Configuration)|$(Platform)'=='ReleaseUnicode|Win32'">D:\Programming(D)\Workspaces\VS_2010 Workspaces\DirectShow_SDK_VS2010\BaseClasses\Release_Unicode;$(LibraryPath)</LibraryPath>
  </PropertyGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <ClCompile>
      <Optimization>Disabled</Optimization>
      <PreprocessorDefinitions>WIN32;_DEBUG;_WINDOWS;_USRDLL;ASYNCCD_EXPORTS;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <MinimalRebuild>true</MinimalRebuild>
      <BasicRuntimeChecks>EnableFastChecks</BasicRuntimeChecks>
      <RuntimeLibrary>MultiThreadedDebugDLL</RuntimeLibrary>
      <PrecompiledHeader>
      </PrecompiledHeader>
      <WarningLevel>Level3</WarningLevel>
      <DebugInformationFormat>EditAndContinue</DebugInformationFormat>
    </ClCompile>
    <Link>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <SubSystem>Windows</SubSystem>
      <TargetMachine>MachineX86</TargetMachine>
      <AdditionalDependencies>..\BaseClasses\Release_Unicode\strmbase.lib;strmiids.lib;winmm.lib;msvcrt.lib;%(AdditionalDependencies)</AdditionalDependencies>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <ClCompile>
      <PreprocessorDefinitions>WIN32;NDEBUG;_WINDOWS;_USRDLL;ASYNCCD_EXPORTS;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <RuntimeLibrary>MultiThreadedDLL</RuntimeLibrary>
      <PrecompiledHeader>
      </PrecompiledHeader>
      <WarningLevel>Level3</WarningLevel>
      <DebugInformationFormat>ProgramDatabase</DebugInformationFormat>
    </ClCompile>
    <Link>
      <IgnoreSpecificDefaultLibraries>%(IgnoreSpecificDefaultLibraries)</IgnoreSpecificDefaultLibraries>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <SubSystem>Windows</SubSystem>
      <OptimizeReferences>true</OptimizeReferences>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <TargetMachine>MachineX86</TargetMachine>
      <AdditionalDependencies>..\BaseClasses\Release_Unicode\strmbase.lib;strmiids.lib;winmm.lib;msvcrt.lib;%(AdditionalDependencies)</AdditionalDependencies>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='ReleaseUnicode|Win32'">
    <ClCompile>
      <AdditionalIncludeDirectories>..\BaseClasses\;Filter;Include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>WIN32;NDEBUG;_WINDOWS;_USRDLL;ASYNCCD_EXPORTS;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <RuntimeLibrary>MultiThreadedDLL</RuntimeLibrary>
      <PrecompiledHeader>
      </PrecompiledHeader>
      <WarningLevel>Level3</WarningLevel>
      <DebugInformationFormat>ProgramDatabase</DebugInformationFormat>
      <CallingConvention>StdCall</CallingConvention>
    </ClCompile>
    <Link>
      <AdditionalDependencies>..\BaseClasses\Release_Unicode\strmbase.lib;strmiids.lib;winmm.lib;msvcrt.lib;%(AdditionalDependencies)</AdditionalDependencies>
      <IgnoreAllDefaultLibraries>false</IgnoreAllDefaultLibraries>
      <IgnoreSpecificDefaultLibraries>atlthunk.lib;%(IgnoreSpecificDefaultLibraries)</IgnoreSpecificDefaultLibraries>
      <ModuleDefinitionFile>Filter\AsyncCd.def</ModuleDefinitionFile>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <SubSystem>Windows</SubSystem>
      <OptimizeReferences>true</OptimizeReferences>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <TargetMachine>MachineX86</TargetMachine>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='DebugUnicode|Win32'">
    <ClCompile>
      <Optimization>Disabled</Optimization>
      <AdditionalIncludeDirectories>..\BaseClasses\;Filter;Include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>WIN32;_DEBUG;_WINDOWS;_USRDLL;ASYNCCD_EXPORTS;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <MinimalRebuild>true</MinimalRebuild>
      <BasicRuntimeChecks>EnableFastChecks</BasicRuntimeChecks>
      <RuntimeLibrary>MultiThreadedDebugDLL</RuntimeLibrary>
      <PrecompiledHeader>
      </PrecompiledHeader>
      <WarningLevel>Level3</WarningLevel>
      <DebugInformationFormat>EditAndContinue</DebugInformationFormat>
      <CallingConvention>StdCall</CallingConvention>
    </ClCompile>
    <Link>
      <AdditionalDependencies>..\BaseClasses\Release_Unicode\strmbase.lib;strmiids.lib;winmm.lib;msvcrt.lib;%(AdditionalDependencies)</AdditionalDependencies>
      <IgnoreAllDefaultLibraries>false</IgnoreAllDefaultLibraries>
      <IgnoreSpecificDefaultLibraries>atlthunk.lib;%(IgnoreSpecificDefaultLibraries)</IgnoreSpecificDefaultLibraries>
      <ModuleDefinitionFile>Filter\AsyncCd.def</ModuleDefinitionFile>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <SubSystem>Windows</SubSystem>
      <TargetMachine>MachineX86</TargetMachine>
    </Link>
  </ItemDefinitionGroup>
  <ItemGroup>
    <None Include="Filter\AsyncCd.def" />
    <None Include="Vs2010_setup.txt" />
  </ItemGroup>
  <ItemGroup>
    <ClCompile Include="Filter\asyncflt.cpp" />
    <ClCompile Include="Base\asyncio.cpp" />
    <ClCompile Include="Base\asyncrdr.cpp" />
  </ItemGroup>
  <ItemGroup>
    <ClInclude Include="Filter\asyncflt.h" />
    <ClInclude Include="Include\asyncio.h" />
    <ClInclude Include="Include\asyncrdr.h" />
  </ItemGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
  <ImportGroup Label="ExtensionTargets">
  </ImportGroup>
</Project>